
from machine import Pin, I2C
import time
led = Pin(25,Pin.OUT)
i2c = I2C(1,scl=Pin(15), sda=Pin(14), freq=400000)


def Blink():
    led.value(1)
    time.sleep_ms(500)
    led.value(0)
    time.sleep_ms(500)
    
def Write_DAC(volt):
    
    buf = bytearray(3)
    buf[0] = 0x40
    buf[1] = int(volt / 16)
    buf[2] = int(volt % 16) << 4
    i2c.writeto(0x60, buf)
    time.sleep_ms(10)

    
while True:
     vout = 0
     for i in range(273):
	   Write_DAC(vout)
	   vout=vout+15
	   Blink()
       
    
    
    
   
    


    